Summary: filters for pine for PGP 2.6.x and 5.0 and GnuPG
Name: pinepgp
Version: 0.12.90
Release: 1
Copyright: GPL
BuildArchitectures: noarch
Group: Applications/Internet
Source0: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/pinepgp-root

%description
PGP and GPG filters for pine. Both PGP 2.6.x and 5.0 are supported.

To use it run the proper installation script in /usr/bin directory.

%changelog
* Fri Mar 17 2000 Peter Hanecak <hanecak@megaloman.sk>
- statistics information of *-check appended at the end of e-mail
  (no need to hit return once more in order to view signed/encrypted
  messages)

* Fri Mar 17 2000 Peter Hanecak <hanecak@megaloman.sk>
- package summary info corrections
- spec: %make -> %build

* Fri Mar 17 2000 Martin Edas Edlman <edlman@dzungle.ms.mff.cuni.cz>
- everything - scripts and links to them - is packed in tar.gz archive
  so it's transportable to other systems, not only for those with RPM.
- change of this spec file to reflect new format.

* Thu Mar 16 2000 Martin Edas Edlman <edlman@dzungle.ms.mff.cuni.cz>
- release 0.11-3
- change of _LEADING to _BEGINNING in the Pine display filter definitions,
  it should work with mails where -----BEGIN PGP ... is not the first
  whitespace line (see Pine help for details)
- fix of pinepgp{26x,50}-install script - sed expression was enclosed in
  quotes (') and thus shell variabled were not evaluated. Not it is enclosed
  in double qoutes (") and it's ok; $PGPVER variable was not set sometime,
  there was problem with 'case' evaluation, '*' at the beginning of program
  names was missing and the line was matched only when $0 was exactly the
  same as the program name.

* Thu Mar 16 2000 Martin Edas Edlman <edlman@dzungle.ms.mff.cuni.cz>
- release 0.11-2
- fix of this spec file - after adding GPG, pgp50-sign+encrypt was badly
  linked
- fix of pinepgp50 and pinepgp26x scripts. In 'case' structures there were
  wrong filenames to determine how the script was called.
- links are done after install on final filesystem (hardlinks instead of
  symlinks)

* Sat Sep 11 1999 Peter Hanecak <hanecak@megaloman.sk>
- added support for GPG
- install scripts use full path to scripts
  (pine, according to tech-notes.txt, requires it)

* Sun Jul 4 1999 Peter Soos <sp@osb.hu>
- Added pgp 5.0 support

* Wed May 12 1999 Peter Soos <sp@osb.hu>
- Corrected the file and directory attributes to rebuild the package
  under RedHat Linux 6.0

* Fri Dec 25 1998 Peter Soos <sp@osb.hu>
- Corrected the file and directory attributes

* Wed Jun 24 1998 Peter Soos <sp@osb.hu>
- Using %attr to build the package as an ordinary user

* Tue Dec 9 1997 Peter Soos <sp@osb.hu>
- Recompiled under RedHat Linux 5.0
- Now we use BuildRoot

%prep
%setup

%build
make prefix=/usr

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644, root, root, 0755)
%attr(0755, root, root) /usr/bin/*
